API ReferenceMachine Status
Get Node Amps Per Minute
Get node amps per minute.
Authorization
bearerAuth user, superuser, admin, superadmin, readonlyAuthorization<token>
In: header
Scope: user, superuser, admin, superadmin, readonly
Query Parameters
machineId*number
The machine's ID.
Format
doublestart*string
The start of the date range to filter by.
Format
date-timeend*string
The end of the date range to filter by.
Format
date-timemetricType*string
Filter by metric type.
Value in
- "availability"
- "corrects"
- "current"
- "cycle_count"
- "cycle_speed"
- "cycle_time"
- "total"
- "correct"
- "defects"
- "energy"
- "identity"
- "speed"
- "status"
- "temperature"
- "totals"
- "product_count"
- "vibration_displacement_x"
- "vibration_displacement_y"
- "vibration_displacement_z"
- "vibration_velocity_x"
- "vibration_velocity_y"
- "vibration_velocity_z"
- "vibration_acceleration_x"
- "vibration_acceleration_y"
- "vibration_acceleration_z"
- "pressure_left_presize_adjust_nut"
- "pressure_right_presize_adjust_nut"
aggregationType?string
Filter by aggregation type.
Value in
- "average"
- "count"
- "max"
- "min"
- "sum"
Response Body
application/json
Try it live
curl -X GET "https://example.com/machines/node-amps?machineId=0.1&start=2019-08-24T14%3A15%3A22Z&end=2019-08-24T14%3A15%3A22Z&metricType=availability"{ "data": [ { "value": 0.1, "timestamp": "string" } ]}